# -*- encoding: utf-8 -*-
# stub: knife-azure 4.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "knife-azure".freeze
  s.version = "4.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Barry Davis".freeze, "Chirag Jog".freeze]
  s.date = "2021-06-03"
  s.description = "A plugin to the Chef Infra knife tool for creating instances on the Microsoft Azure platform".freeze
  s.email = "oss@chef.io".freeze
  s.extra_rdoc_files = ["LICENSE".freeze]
  s.files = ["LICENSE".freeze]
  s.homepage = "https://github.com/chef/knife-azure".freeze
  s.licenses = ["Apache 2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A plugin to the Chef Infra knife tool for creating instances on the Microsoft Azure platform".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<knife>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.5.5"])
    s.add_runtime_dependency(%q<azure_mgmt_resources>.freeze, ["~> 0.17", ">= 0.17.2"])
    s.add_runtime_dependency(%q<azure_mgmt_compute>.freeze, ["~> 0.18", ">= 0.18.3"])
    s.add_runtime_dependency(%q<azure_mgmt_storage>.freeze, ["~> 0.20", ">= 0.20.0"])
    s.add_runtime_dependency(%q<azure_mgmt_network>.freeze, ["~> 0.18", ">= 0.18.2"])
    s.add_runtime_dependency(%q<listen>.freeze, ["~> 3.1"])
    s.add_runtime_dependency(%q<ipaddress>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<ffi>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rb-readline>.freeze, [">= 0"])
  else
    s.add_dependency(%q<knife>.freeze, [">= 0"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.5.5"])
    s.add_dependency(%q<azure_mgmt_resources>.freeze, ["~> 0.17", ">= 0.17.2"])
    s.add_dependency(%q<azure_mgmt_compute>.freeze, ["~> 0.18", ">= 0.18.3"])
    s.add_dependency(%q<azure_mgmt_storage>.freeze, ["~> 0.20", ">= 0.20.0"])
    s.add_dependency(%q<azure_mgmt_network>.freeze, ["~> 0.18", ">= 0.18.2"])
    s.add_dependency(%q<listen>.freeze, ["~> 3.1"])
    s.add_dependency(%q<ipaddress>.freeze, [">= 0"])
    s.add_dependency(%q<ffi>.freeze, [">= 0"])
    s.add_dependency(%q<rb-readline>.freeze, [">= 0"])
  end
end
